Bug 836954 - 3.1- Allow to break bond and create a new network on its interface in single action
3.1- Allow to break bond and create a new network on its interface in single ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Igor Lvovsky
Meni Yakove
Network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-02 06:10 EDT by Igor Lvovsky
Modified: 2013-02-28 23:54 EST (History)
8 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:01:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Igor Lvovsky 2012-07-02 06:10:19 EDT
Description of problem:

Assume we have a bond0 on (eth1, eth2) with defined network brNet on it.
This patch will allow to break the bond0 and create a new network brNet2 on one
of its interfaces (e.g. eth2) with single setupNetworks operation

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Yaniv Kaul 2012-07-02 11:41:25 EDT
How do we test this? Will it be available via REST (from RHEVM) in a single action?
Comment 2 Igor Lvovsky 2012-07-02 11:45:54 EDT
First, you can easly test it from UI.
Don't know about REST, but it should be supported as every setupNetworks action
Comment 3 Igor Lvovsky 2012-07-02 11:51:07 EDT
http://gerrit.ovirt.org/#/c/5841/
Comment 4 Yaniv Kaul 2012-07-02 11:54:24 EDT
Dan, shouldn't this be proposed to 6.4 as well?
Comment 5 Dan Kenigsberg 2012-07-02 12:05:42 EDT
(In reply to comment #4)
> Dan, shouldn't this be proposed to 6.4 as well?

If it's in rhel-6.3.z, it means that it is upstream, which means that it would be in rhel-6.4 by virtue of the pending 6.4 rebase. I do not see any point of a 6.4-specific bug.
Comment 7 Yaniv Kaul 2012-07-02 12:34:58 EDT
(In reply to comment #5)
> (In reply to comment #4)
> > Dan, shouldn't this be proposed to 6.4 as well?
> 
> If it's in rhel-6.3.z, it means that it is upstream, which means that it
> would be in rhel-6.4 by virtue of the pending 6.4 rebase. I do not see any
> point of a 6.4-specific bug.

To ensure it's being tested in 6.4.
Comment 10 Meni Yakove 2012-07-23 07:51:29 EDT
Verified on vdsm-4.9.6-23.0.el6_3.x86_64.
Comment 13 errata-xmlrpc 2012-12-04 14:01:56 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html

Note You need to log in before you can comment on or make changes to this bug.